#pragma once
#include "V3.h"

class FrameBuffer;

class PPC {
public:
	V3 a, b, c, C;
	int w, h;
	PPC(float hfov, int _w, int _h);
	int Project(V3 P, V3 &pP);
	int UnProject(V3 pP, V3 &P);
	void Pan(float theta);
	void Tilt(float theta);
	void Roll(float theta);
	void SetPose(V3 newC, V3 LaP, V3 upgv);
	float GetF();
	void SetInterpolated(PPC *ppc1, PPC *ppc2, int fi, int fN);
	V3 GetVD();
	void Visualize(float visf, PPC *ppc, FrameBuffer *fb);
};